> ## Documentation Index
> Fetch the complete documentation index at: https://docs.usecontextlayer.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List the execution sessions within an agent job



## OpenAPI

````yaml https://platform.usecontextlayer.com/api/openapi.json get /slates/{target}/agents/{name}/jobs/{id}/sessions
openapi: 3.1.0
info:
  title: ContextLayer Platform
  version: 0.1.0
servers:
  - url: https://platform.usecontextlayer.com/api
security: []
tags:
  - name: Slates
  - name: Slate routing
  - name: Slate resources
  - name: Accounts
  - name: Shared secrets
  - name: Agents
  - name: Agent jobs
paths:
  /slates/{target}/agents/{name}/jobs/{id}/sessions:
    get:
      tags:
        - Agent jobs
      summary: List the execution sessions within an agent job
      operationId: listAgentJobSessions
      parameters:
        - schema:
            type: string
            minLength: 1
          required: true
          name: name
          in: path
        - schema:
            anyOf:
              - type: string
                format: uuid
              - type: string
          required: true
          name: target
          in: path
        - schema:
            type: string
            format: uuid
          required: true
          name: id
          in: path
      responses:
        '200':
          description: Native Pi sessions within this job
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    busy:
                      type: boolean
                    id:
                      type: string
                    parent:
                      type: string
                  required:
                    - busy
                    - id
        '400':
          description: Invalid slate target, agent name, or job ID
        '401':
          description: A valid ContextLayer login is required
        '403':
          description: Only the Owner or owning organization members may inspect execution
        '404':
          description: Slate or agent job not found
      security:
        - bearerAuth: []
        - webCookie: []
        - localWebCookie: []
components:
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http
    webCookie:
      in: cookie
      name: __Secure-better-auth.session_token
      type: apiKey
    localWebCookie:
      in: cookie
      name: better-auth.session_token
      type: apiKey

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.